[Overview][Types][Classes][Index] | Reference for unit 'PostScriptCanvas' (#lcl)

# TPostScriptCanvas

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

## Declaration

Source position: postscriptcanvas.pas line 189

`type TPostScriptCanvas = class(TPostScriptPrinterCanvas)`
`public`
`constructor Create; overload;` |  |
`procedure BeginDoc; override;` |  |
`procedure EndDoc; override;` |  |
`procedure NewPage; override;` |  |
`end;`

## Inheritance

`TPostScriptCanvas` |  |
`TPostScriptPrinterCanvas` |  |
`TFilePrinterCanvas`
`TPrinterCanvas` |  | TPrinterCanvas - instance of TCanvas specially designed for printers
`TCanvas` |  | TCanvas - where most of the drawing is performed
`TFPCustomCanvas`
?
`TObject`

The latest version of this document can be found at lazarus-ccr.sourceforge.net.